Bug 95071 - New Port: audio/ventrilo-server
Summary: New Port: audio/ventrilo-server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-29 10:50 UTC by amistry
Modified: 2006-10-06 22:30 UTC (History)
0 users

See Also:


Attachments
ventrilo.shar (7.03 KB, text/plain)
2006-03-29 10:50 UTC, amistry
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description amistry 2006-03-29 10:50:15 UTC

The server component for the Ventrilo VoIP chat program.  I needed to do a bit of trickery to get the distfile to fetch automatically.  Since you can't specify separate locations for the log and pid files I just created a directory in prefix.  Once you've started the server once it leaves a log file in the directory so things don't get cleaned up on deinstall.  If there are better ways to do things let me know.
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-11 21:36:57 UTC
State Changed
From-To: open->feedback

You should not overrite user's .ini file (think of updates) and list the 
link to the ini file in plist
Comment 2 amistry 2006-08-15 01:02:59 UTC
I'm not overwriting the .ini file.  I'm checking to see that it 
doesn't exist before copying.  The link is listed in the plist.

-- 
Anish Mistry
amistry@am-productions.biz
AM Productions http://am-productions.biz/
Comment 3 Pav Lucistnik freebsd_committer 2006-10-06 20:44:40 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 4 dfilter service freebsd_committer 2006-10-06 22:26:38 UTC
pav         2006-10-06 21:26:09 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/ventrilo-server Makefile distinfo pkg-descr pkg-install 
                          pkg-plist 
    audio/ventrilo-server/files pkg-message.in 
                                ventrilo-server.sh.in 
  Log:
  The server for Ventrilo is a voice chat program which supports multiple
  channels with different rate codecs and several people on each channel.
  Primarily aimed at team gamers but can be used as an IP phone as well.
  
  WWW: http://www.ventrilo.com/
  
  PR:             ports/95071
  Submitted by:   Anish Mistry <amistry@am-productions.biz>
  
  Revision  Changes    Path
  1.775     +1 -0      ports/audio/Makefile
  1.1       +67 -0     ports/audio/ventrilo-server/Makefile (new)
  1.1       +3 -0      ports/audio/ventrilo-server/distinfo (new)
  1.1       +10 -0     ports/audio/ventrilo-server/files/pkg-message.in (new)
  1.1       +44 -0     ports/audio/ventrilo-server/files/ventrilo-server.sh.in (new)
  1.1       +5 -0      ports/audio/ventrilo-server/pkg-descr (new)
  1.1       +67 -0     ports/audio/ventrilo-server/pkg-install (new)
  1.1       +9 -0      ports/audio/ventrilo-server/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Pav Lucistnik freebsd_committer 2006-10-06 22:27:33 UTC
State Changed
From-To: open->closed

New port added with fixes.